<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__en__canfd__fifo__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_en_canfd_fifo_config_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__en__canfd__fifo__config__t_1af31f828a227fa2050eb5f85f1a1560b0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga0017b4985b8b86ca85b9dca5d532803e">cy_en_canfd_fifo_mode_t</ref></type>
        <definition>cy_en_canfd_fifo_mode_t cy_en_canfd_fifo_config_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
<para>CAN FD Rx FIFO operating mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="913" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="913" />
      </memberdef>
      <memberdef id="structcy__en__canfd__fifo__config__t_1aaba082750410c1baed2f939fe0dacf89" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_en_canfd_fifo_config_t::watermark</definition>
        <argsstring />
        <name>watermark</name>
        <briefdescription>
<para>Watermark. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="914" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="914" />
      </memberdef>
      <memberdef id="structcy__en__canfd__fifo__config__t_1a182249c9eb66def21e9163229580be84" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_en_canfd_fifo_config_t::numberOfFIFOElements</definition>
        <argsstring />
        <name>numberOfFIFOElements</name>
        <briefdescription>
<para>Number Of FIFO elements. </para>        </briefdescription>
        <detaileddescription>
<para>Note: The Rx FIFO size must be greater than 1 when FIFO Top Pointer Logic is enabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="915" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="915" />
      </memberdef>
      <memberdef id="structcy__en__canfd__fifo__config__t_1acf2f42d5327a4bd343d0b5bb0a80d444" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_en_canfd_fifo_config_t::topPointerLogicEnabled</definition>
        <argsstring />
        <name>topPointerLogicEnabled</name>
        <briefdescription>
<para>Top pointer logic enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="919" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="919" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Rx FIFO configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="920" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="911" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="912" />
    <listofallmembers>
      <member prot="public" refid="structcy__en__canfd__fifo__config__t_1af31f828a227fa2050eb5f85f1a1560b0" virt="non-virtual"><scope>cy_en_canfd_fifo_config_t</scope><name>mode</name></member>
      <member prot="public" refid="structcy__en__canfd__fifo__config__t_1a182249c9eb66def21e9163229580be84" virt="non-virtual"><scope>cy_en_canfd_fifo_config_t</scope><name>numberOfFIFOElements</name></member>
      <member prot="public" refid="structcy__en__canfd__fifo__config__t_1acf2f42d5327a4bd343d0b5bb0a80d444" virt="non-virtual"><scope>cy_en_canfd_fifo_config_t</scope><name>topPointerLogicEnabled</name></member>
      <member prot="public" refid="structcy__en__canfd__fifo__config__t_1aaba082750410c1baed2f939fe0dacf89" virt="non-virtual"><scope>cy_en_canfd_fifo_config_t</scope><name>watermark</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>